%set_verify_elf_method relaxed
%def_disable cvs
%def_enable epiphany

Name: gwget
Version: 0.98.2
Release: alt2

Summary: Gwget - Gnome2 wget Front-end
License: GPL
Group: Networking/File transfer
Url: http://gnome.org/projects/gwget

Source: http://ftp.gnome.org/pub/GNOME/sources/gwget/%version/%name-%version.tar.bz2
#Source1: %name.menu
#Source2: %name.xpm
Source3: %name.service
Patch1: gwget-fix-epiphany-2.18.patch
Patch2: gwget-fix-undefined.patch

Provides: gwget2

BuildRequires: fontconfig gcc-c++ GConf libavahi-glib libnotify-devel
BuildRequires: libgnomeui-devel libSM-devel libX11-devel perl-XML-Parser zlib-devel

Requires(post,postun): desktop-file-utils
BuildPreReq: desktop-file-utils

Requires: wget
PreReq: GConf

%description
Gwget: Gnome2 wget Front-end.
Gwget it's a download manager for the Gnome Desktop. The main features are: 
* Resume: By default, gwget tries to continue any download.
* Notification: Gwget tries to use the Gnome notification area support, 
  if available. You can close the main window and gwget runs in the background.
* Recursivity: Gwget detects when you put a html, php, asp or a web page dir 
  in the url to download, and ask you 
  to only download certain files (multimedia, only the index, and so on).
* Drag & Drop: You can d&d a url to the main gwget window or 
  the notification area icon to add a new download. 

%if_enabled epiphany

%package -n epiphany-extension-gwget
Summary: Gwget extention for Epiphany browser
Group: Networking/File transfer
Requires:       %name = %version-%release
Requires:       epiphany epiphany-extensions
BuildRequires: epiphany-devel 
		
%description -n epiphany-extension-gwget
Extention Gwget for Epiphany browser
%endif

%prep
%setup -q
%patch1 -p1
#%patch2 -p1

%build
%if_enabled cvs
intltoolize --force
%__libtoolize
%__aclocal
%__autoconf
%__autoheader
%__automake -a -c --foreign
%endif
%__autoreconf



%configure  \
%if_enabled epiphany
    --enable-epiphany-extension \
%endif
	    --disable-static



# SMP-incompatible build
# %__make
%make_build

%install

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install install DESTDIR=%buildroot
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# remove none-packaged files
%__rm -f %buildroot%_libdir/epiphany/*/extensions/*.{a,la}

%__mkdir_p %buildroot/usr/share/dbus-1/services/
%__install -m 644 %SOURCE3 %buildroot/usr/share/dbus-1/services/%name.service

# menus
## %__mkdir_p %buildroot/%_menudir
## freedesktop2menu.pl %name "Applications/Network" \
## %buildroot/%_datadir/applications/%name.desktop \
## %buildroot/%_menudir/%name

# %find_lang %name
%find_lang --with-gnome --output=%name.lang %name 

%post
%gconf2_install %name
%update_menus
%update_desktopdb

%preun
if [ $1 = 0 ]; then
    %gconf2_uninstall %name
fi
    
    
%postun
%clean_menus
%clean_desktopdb

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%_bindir/*
# %_libdir/bonobo/servers/*
# %_menudir/*
%_includedir/%name
%_datadir/%name
%_datadir/pixmaps/*
%_datadir/applications/*
%config %_sysconfdir/gconf/schemas/*
%_datadir/dbus-1/services/%name.service

%if_enabled epiphany
%files -n epiphany-extension-gwget
%_libdir/epiphany/*/extensions/*
%endif

%changelog
* Sat Mar 31 2007 Alexey Shabalin <shaba@altlinux.ru> 0.98.2-alt2
- fix build with epiphany 2.18

* Fri Nov 24 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.2-alt1
- 0.98.2
- add dbus service (source3)

* Thu Oct 26 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.1-alt2.cvs20061017
- cvs version 20061017
- Use dbus interface instead of bonobo
- Fix build with epiphany 2.16
- add %%set_verify_elf_method relaxed (undefined symbol in /usr/%_lib/epiphany/2.16/extensions/libgwgetextension.so)

* Wed May 17 2006 Alexey Shabalin <shaba@altlinux.ru> 0.98.1-alt1
- 0.98.1

* Tue Jan 10 2006 Alexey Shabalin <shaba@altlinux.ru> 0.97-alt1
- 0.97

* Wed Nov 09 2005 Alexey Shabalin <shaba@altlinux.ru> 0.96-alt2
- fix path epiphany-extension for epiphany v1.8
- fix BuildRequires

* Thu Aug 18 2005 Alexey Shabalin <shaba@altlinux.ru> 0.96-alt1
- 0.96 

* Tue May 24 2005 Alexey Shabalin <shaba@altlinux.ru> 0.95-alt1
- 0.95

* Fri May 13 2005 Alexey Shabalin <shaba@altlinux.ru> 0.94-alt1
- 0.94
- update spec 
- add epiphany-extension-gwget

* Sun Oct 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.7-alt1
- 0.7
- Added Recursive option if the url added it's not a file
- Cancel download in the popup menu now can be selected if the download it's in error state
- Added "Remove all downloads" and "Remove not running" options to the popup
- Added Japanese translation

* Mon Sep 29 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.6-alt1
- 0.6

* Wed Sep 17 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt2
- Cleanup spec

* Thu Jun 26 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.5-alt1
- 0.5
- Added Drag&Drop support.
- Added speed of the download information.

* Thu Jun 19 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.4-alt1
- 0.4

* Tue Jun 03 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.3-alt1
- 0.3

* Wed Apr 02 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.2-alt1
- First version of RPM package.

